{# heredando header y footer #}
{% extends "./plantilla.html" %}
{% load static %}
  {% block contenido %}

    <br>
    <div class="container-fluid py-4">
      <div class="row">
        <div class="col-xl-2 col-sm-6 mb-xl-0 mb-9">
        </div>
        <div class="col-xl-10 col-sm-6 mb-xl-0 mb-9">
          <h3>EDITAR CARRERA</h3>
          <form class="" action="/procesarActualizacionCarrera/" method="post" enctype="multipart/form-data" id='frm_nuevo_carrera'>
            {% csrf_token %}
            <div class="row">
              <div class="col-md-6">
                <input type="hidden" name="idCarreraGEPT" value="{{carrera.idCarreraGEPT}}">
                <b>NOMBRE:</b>
                <input type="text" name="nombreCarreraGEPT" id="nombreCarreraGEPT" value="{{carrera.nombreCarreraGEPT}}" placeholder="Ingrese el nombre de la Carrera" class="form-control" required>
                <br>
                <b>DIRECTOR:</b>
                <input type="text" name="directorCarreraGEPT" id="directorCarreraGEPT" value="{{carrera.directorCarreraGEPT}}" placeholder="Ingrese el nombre del Director" class="form-control" required>
                <br>
                <b>FACULTAD:</b>
                <input type="text" name="facultadCarreraGEPT" id="facultadCarreraGEPT" value="{{carrera.facultadCarreraGEPT}}" placeholder="Ingrese la Facultad de la Carrera" class="form-control" required>
                <br>
                <b>MODALIDAD:</b>
                <input type="text" name="modalidadCarreraGEPT" id="modalidadCarreraGEPT" value="{{carrera.modalidadCarreraGEPT}}" placeholder="Ingrese la Modalidad de la Carrera" class="form-control" required>
                <br>
              </div>
              <div class="col-md-6">
                <b>LOGO:</b>
                {% if carrera.logoCarreraGEPT %}
                  <img src="{{carrera.logoCarreraGEPT.url}}" alt="" height="200px">
                {% endif %}
                <input type="file" name="logoCarreraGEPT" id="logoCarreraGEPT" accept="image/*" class="form-control">
                <br><br>
              </div>
            </div>
            <center>
              <button type="submit" name="button" class="btn btn-warning bg-gradient-warning">Actualizar</button>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
              <a type="reset" name="button" class="btn btn-danger bg-gradient-danger" href="/">Cancelar</a>
            </center>
          </form>
          <hr>
        </div>
      </div>
    </div>
    <script type="text/javascript">
      $(document).ready(function() {
        $("#frm_nuevo_carrera").validate({
          rules: {
            "nombreCarreraGEPT": {
              required: true,
              lettersOnly: true // Validar solo letras
            },
            "directorCarreraGEPT": {
              required: true,
              lettersOnly: true // Validar solo letras
            },
            "facultadCarreraGEPT": {
              required: true,
              lettersOnly: true // Validar solo letras
            },
            "modalidadCarreraGEPT": {
              required: true,
              lettersOnly: true // Validar solo letras
            }
          },
          messages: {
            "nombreCarreraGEPT": {
              required: "Debe ingresar el nombre de la Carrera"
            },
            "directorCarreraGEPT": {
              required: "Debe ingresar el nombre del Director"
            },
            "facultadCarreraGEPT": {
              required: "Debe ingresar la facultad de la carrera"
            },
            "modalidadCarreraGEPT": {
              required: "Debe ingresar la modalidad de la carrera"
            }
          }
        });

        $.validator.addMethod("lettersOnly", function(value, element) {
          return this.optional(element) || /^[a-zA-Z\s]+$/.test(value);
        }, "Ingrese solo letras");

        $.validator.addMethod("digits", function(value, element) {
          return this.optional(element) || /^[0-9]+$/.test(value);
        }, "Ingrese solo números");
      });
    </script>
    <script>
      $(document).ready(function () {
          $("#logoCarreraGEPT").fileinput({
            //showUpload:false
            //showRemove: false,
            language:'es',
          });
      });
    </script>
  {% endblock %}
